//  ********************
//  ***  Explosions  ***
//  ********************
//  ********************************************************
//  ***  TNT		                                     ***
//  ********************************************************
//  ********** TNT Explosion Base **********
//  Q2TankBoss, TNTExplosion, <Cultists> (TNTExplosion_KULT)
ACTOR NoSFX_Explosion_m_Base replaces SFX_Explosion_m_Base
{
	Scale 0.8
	+NOBLOCKMAP
	-COUNTITEM
	PROJECTILE
	DeathSound "effects/explosion"
	SpawnID 203
	Radius 1 Height 1 Speed 0
	Scale 0.8
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(412, 232)	
			goto Death
		Death:
			TNT1 A 0 A_Scream
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 2, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", 160, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -80, 0, 345, 2, 0)			
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 0, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 15, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 30, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 45, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 60, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 75, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 90, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 105, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 120, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 135, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 150, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 165, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 180, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 195, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 210, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 225, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 240, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 255, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 270, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 285, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 300, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 315, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 330, 2, 0)
			TNT1 A 0 A_CustomMissile("SFX_Shockwave", -160, 0, 345, 2, 0)
			TNT1 A 0 A_SpawnItemEx("NoSFX_ExpFire_light", 0, 0, 0, 0, 0, 0, 0, 128, 0)			
			NKXP B 2 A_AlertMonsters
			NKXP D 2 BRIGHT
			NKXP EFGHIJKLMNOPQRSTUV 2 BRIGHT
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: TNTExplosions large                     ***
//  ********************************************************
//  Tchernobog
ACTOR NoSFX_Explosion_l_Base : NoSFX_Explosion_m_Base replaces SFX_Explosion_l_Base
{
	Scale 1.2
	+NOBLOCKMAP
	-COUNTITEM
	PROJECTILE
	DeathSound "effects/explosion"
	Radius 1 Height 1 Speed 0
}
//  ********************************************************
//  ***  Weapon: TNTExplosions exrta extra large         ***
//  ********************************************************
//  Tchernobog_big
ACTOR NoSFX_Explosion_xxl_Base : NoSFX_Explosion_m_Base replaces SFX_Explosion_xxl_Base
{
	Scale 4.0
	+NOBLOCKMAP
	-COUNTITEM
	PROJECTILE
	DeathSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	States
	{
		Spawn:
			TNT1 A 1 A_AlertMonsters
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(512, 264)	
			goto Death		
	}
}
//  **********************************
//  ***  Misc -> Shockwave    	   ***
//  ***  by: Butcher         	   ***
//	***	 Used by: SFX_TNTExplosion ***
//  **********************************
/* 
Actor SFX_Shockwave
{
	Projectile
	+NoBlockmap +RIPPER +BLOODLESSIMPACT +SLIDESONWALLS // +NOCLIP
	damage 0
	Radius 2 Height 1 Speed 100
	States
	{
	Spawn:
		TNT1 A 4
		stop
	}
}
*/ 
//  ********************************************************
//  ***  Weapon: Weapon TNT Explosion	                 ***
//  ********************************************************
//  TNT Weapons
ACTOR NoTNTExplosion : NoSFX_Explosion_m_Base replaces TNTExplosion
{
	States
	{
		Spawn:
			TNT1 A 0 A_AlertMonsters
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 BRIGHT A_Explode(412, 232)			
			goto Death
		Death:
			TNT1 A 0 A_SpawnItemEx("NoSFX_ExpFire_light", 0, 0, 0, 0, 0, 0, 0, 128, 0)			
			NKXP B 2 A_AlertMonsters
			NKXP D 2 BRIGHT
			NKXP EFGHIJKLMNOPQRSTUV 2 BRIGHT
			Stop
	}
}
//  <maps>
ACTOR NoSFXBarrelExplosion : NoSFX_Explosion_m_Base replaces SFXBarrelExplosion
{
	States
	{
		Spawn:
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			goto Death
	}
}
//  ********************************************************
//  ***  Weapon: RocketExplosions                        ***
//  ********************************************************
//  ********** Rocket normal Base **********
//  Rocketlauncher_ (Rocket_alpha), Rocketlauncher_ (Rocket_alpha_seeker)
//  CyberDemon, Q2TankBoss, Rocketguy, Cerberus
ACTOR NoSFX_RocketExplosion : NoSFX_Explosion_m_Base replaces SFX_RocketExplosion
{
	States
	{
		Spawn:
			TNT1 A 0
			goto Death
	}
}
//  ********************************************************
//  ***  Rocket Base			                         ***
//  ********************************************************
//  Rocketlauncher_ (Rocket_alpha), Rocketlauncher_ (Rocket_alpha_seeker)
//  CyberDemon, Q2TankBoss, Rocketguy
ACTOR NoRocketBase replaces RocketBase
{
	Spawnid 127
	Radius 4 Height 4 Speed 20
	PROJECTILE
	+FOILINVUL +RANDOMIZE +ROCKETTRAIL
	Scale 0.6
	Damage 32
	Seesound "effects/rocklfly"
	Deathsound "effects/rocklexplosion"
	obituary "%o rode %k's rocket."
	Renderstyle Normal
	States
	{
		Spawn:
			MISL A 1 bright
			loop
		Death: 
			TNT1 A 0 A_Scream
			TNT1 A 0 Radius_Quake(3, 28, 1, 4, 0)
			TNT1 A 0 A_Explode(230, 192)
			TNT1 A 0 A_SpawnItemEx("SFX_RocketExplosion", 0, 0, 0, 0, 0, 1, 0, 128 | SXF_NOCHECKPOSITION, 0)
			TNT1 A 20
			Stop
	}
}
//  ********************************************************
//  *** Explosion Base extra small 		                 ***
//  ********************************************************
//  PlasmaTurret_1, PlasmaTurret_2, Revenant
/* 
ACTOR NoExplosion_xs_Base replaces Explosion_xs_Base
{
	Scale 0.3
	DeathSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	+NOBLOOD +NOGRAVITY
	States
	{
	Spawn:
		TNT1 A 0//A_Explode(24, 64)
		goto Death
	Death:
		TNT1 A 0 A_Scream
		TNT1 A 1 A_SpawnItemEx("SFX_Fire", 0, 0, 0, 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_NoLight_Fire_xxs", 0, 0, 0, 0.04 * Random(-20, 20), 0.04 * Random(-20, 20), 0.04 * Random(-20, 20), 0, 128, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_NoLight_Fire_xs", 0, 0, 0, 0.025 * Random(-20, 20), 0.025 * Random(-20, 20), 0.025 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_NoLight_Fire_s", 0, 0, 0, 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0, 128, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_NoLight_Fire_s", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_NoLight_Fire", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
		TNT1 AAA 0 A_SpawnItemEx("SFX_NoLight_Fire", 0, 0, 0, 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0, 128, 0)
		TNT1 A 1 A_SpawnItemEx("SFX_Fire_long", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 AAAAAAA 0 A_SpawnItemEx("SFX_NoLight_Fire_long", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 A 3 A_SpawnItemEx("SFX_Fire", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0, 128, 0)		
		TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium_Long", 0, 0, 0, 0.003 * Random(-20, 20), 0.003 * Random(-20, 20), 0.003 * Random(-20, 20), 0, 128, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_SmokeMedium", 0, 0, 0, 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0.01 * Random(-20, 20), 0, 128, 0)
		TNT1 AAA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0.015 * Random(-20, 20), 0, 128, 0)
		TNT1 AA 0 A_SpawnItemEx("SFX_SmokeSmall", 0, 0, 0, 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0.02 * Random(-20, 20), 0, 128, 0)
		TNT1 A 1 A_SpawnItemEx("SFX_Fire", 0, 0, 0, 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0.001 * Random(-200, 200), 0, 128, 0)
		TNT1 AAA 0 A_SpawnItemEx("SFX_NoLight_Fire", 0, 0, 0, 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0.001 * Random(-20, 20), 0, 128, 0)		
		Stop
	}
}
*/ 
ACTOR NoExplosion_xs_Base replaces Explosion_xs_Base
{
	Scale 0.3
	SeeSound "effects/explosion"
	Radius 1 Height 1 Speed 0
	+NOBLOOD +NOGRAVITY
	States
	{
	Spawn:
		TNT1 A 0 A_Explode(24, 64)
		goto Death
	Death:
		TNT1 A 0 A_SpawnItemEx("NoSFX_ExpFire_light", 0, 0, 0, 0, 0, 0, 0, 128, 0)			
		CANE ABCDEFGHIJK 2 bright
		Stop
	}
}
//	 *** Light ***
//   SFX_Explosion_Base
Actor NoSFX_ExpFire_light : SFX_ExpFire
{	
	Scale 1.2
	States
	{
	Spawn:
		TNT1 ABCDEFGHIJKLMNOPP 2 BRIGHT A_FadeOut(0.06)
		Stop
	}
}
