//  SFX_SHARE

//  ****************************
//  ***  PhotonRifle Plasma  ***
//  ****************************
//  ********** PlasmaBall (green) **********
//  PhotonRifle, PlasmaZombie
ACTOR NoPhotonBall : PlasmaBall replaces PhotonBall
{
	SpawnID 51
//	spawnid 129
	Decal DoomImpScorch
	Scale 0.2 Alpha 1.0
	Damage 11
	Radius 8 Height 6 Speed 25
	+RANDOMIZE +STRIFEDAMAGE +ForceXYBillboard
	SeeSound "effects/plasmaball"
	States
	{
	Spawn:
		SBL3 ABCDE 3
		loop
	Death:
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareBlue", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		SBL3 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
//  ********** PlasmaBall (yellow) **********
//  PhotonRifle, Cultist_green
ACTOR NoPhotonBall_big : NoPhotonBall replaces PhotonBall_big
{
	Decal DoomImpScorch
	Scale 0.3
	Damage 46
	SeeSound "effects/plasmaf"
	DeathSound "effects/plasmax"
}
//  ***********************
//  ***  Turret Plasma  ***
//  ***********************
//  PlasmaTurret_1, PlasmaTurret_2
ACTOR NoPlasmaBall_Turret : NoPhotonBall replaces PlasmaBall_Turret
{
	Decal DoomImpScorch
	Scale 0.3
	Damage 8
}
//====================================================================================================
//  ************************************************************
//  ***  Missile  ***
//  *****************
//  ****************************
//  ***  Arachnotron Plasma  ***
//  ****************************
//  Arachnotron_
actor NoArachnotronPlasma_ : NoPhotonBall replaces ArachnotronPlasma_
{
	SpawnID 129
	Scale 0.2//0.3
	Decal DoomImpScorch
	seesound "baby/attack"
	deathsound "baby/shotx"
	states
	{
	Spawn:
		SBL2 ABCDE 3 bright
		loop
	Death:
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareGreen", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		SBL2 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
//  *********************
//  ***  BlasterBall  ***
//  *********************
//  Blasterguy (3025)
ACTOR NoSpreadFireBall replaces SpreadFireBall
{
	Decal DoomImpScorch
	Scale 0.08
	Damage 4
	RenderStyle Add Alpha 0.99
	+RANDOMIZE +STRIFEDAMAGE
	Radius 7 Height 4 Speed 25
	DeathSound "effects/plasmax"
	PROJECTILE
	States
	{
	Spawn:
		SBL6 ABCDE 1 bright
		loop
	Death:
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareRed", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		SBL6 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
//  ********************************************************
//  ***  Weapon: BFG10k                                  ***
//  ********************************************************
//  ********** BFGBall large **********
//  BFG10k
ACTOR NoBFG10k_A : BFGBall replaces BFG10k_A
{
	SpawnID 128
	Decal BFGLightning
	Scale 0.7
	Speed 15
	Damage 300
	DONTHURTSHOOTER
	+RANDOMIZE +FOILINVUL +ForceXYBillboard
	SeeSound "effects/bfgplasma"
	States
	{
	Spawn:
		SBL2 ABCDE 3 bright
		loop
	Death:
		TNT1 A 0 A_Explode(1000, 600, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareLargeGreen", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		SBL2 HHHGGGFFFFFFGGGHHHIIIJJJKKL 3 bright A_FadeOut(0.05)
		stop
	}
}
//  ********************************************************
//  ***  Weapon: BFG10k                                  ***
//  ********************************************************
//  ********** BFGBall small **********
//  ********** In use by: ******************************
//  BFG10k
ACTOR NoBFG10k_B : NoBFG10k_A replaces BFG10k_B
{
	Decal BFGLightning
	Scale 0.6
	Damage 50
	Speed 20
	States
	{
	Death:
		TNT1 A 0 A_Explode(250, 150, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareLargeGreen", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		SBL2 HHHGGGFFFFFFGGGHHHIIIJJJKKL 3 bright A_FadeOut(0.05)
		stop
	}
}
//  ********** BFG Ball **********
//  ********** In use by: ******************************
//  Demolisher, MarineBFG
ACTOR NoBFG10k_ACyber : NoBFG10k_A replaces BFG10k_ACyber
{
	Decal BFGLightning
	States
	{
	Death:
		TNT1 A 0 A_Explode(600, 700, 0)
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareLargeGreen", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		SBL2 HHHGGGFFFFFFGGGHHHIIIJJJKKL 3 bright A_FadeOut(0.05)
		stop
	}
}
//  ***********************
//  ***  CacodemonBall  ***
//  ***********************
//  Cacodemon_
actor NoCacodemonBall_ replaces CacodemonBall_
{
	Decal DoomImpScorch
	SpawnID 126
	Scale 0.4
	Damage 18
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE
	Radius 6 Height 8 Speed 18 FastSpeed 24
	SeeSound "caco/attack"
	DeathSound "caco/shotx"
	PROJECTILE
	states
	{
	Spawn:
		SBL5 ABCDE 1 bright
		loop
	Death:
		TNT1 A 0 A_SpawnItemEx("SFX_PlasmaRandomFlareRed", 0, 0, 0, 0, 0, 0, 0, 128, 0)
		SBL5 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
