//  ***********************
//  ***  WorldLavaBall  ***
//  ***********************
//  <Map>
/* 
actor WorldLavaBall 3555
{
	Radius 0 Height 0 Speed 0 FastSpeed 0
	states
	{
	Spawn:
//Thing_ProjectileGravity (tid, type, angle, speed, vspeed)
		TNT1 A 1 A_SpawnItemEx("WorldLavaBallFX", 0, random(-3,3), random(-3,3), random(-1,1), random(-1,1), random(3,10), 0, 0, 0)
//		TNT1 A 1 A_CustomMissile("WorldLavaBallBall", 10, 0, random(19,27), 0, random(0,255))
//Thing_ProjectileGravity (random(19,27), 10, random(0,255), random(0,35), 50+ random(0,60));
//		SBL1 ABCDE 1 bright A_SpawnItemEx("WorldLavaBallFX", 0, random(-3,3), random(-3,3), random(-1,1), random(-1,1), random(-1,1), 0, 128, 0)
		loop
	}
}
*/ 
actor NoWorldLavaBallBall replaces WorldLavaBallBall
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.3
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE
	Radius 6 Height 8 Speed 16 FastSpeed 22
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	states
	{
	Spawn:
		BAL1 AB 4 bright
		loop
	Death:
		BAL1 CDE 6 bright
		stop
	}
}
//  ********************************
//  ***  FireBall Yellow m Base  ***
//  ********************************
//  DoomImp, Devil, FlyingImp
actor NoFireBallYellow_m_Base replaces FireBallYellow_m_Base
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.2//0.3
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE +FORCEXYBILLBOARD
	Radius 6 Height 8 Speed 16 FastSpeed 25
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	states
	{
	Spawn:
		SBL1 ABCDE 3 bright
		loop
	Death:
		SBL1 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
//  ********************************
//  ***  FireBall Yellow s Base  ***
//  ********************************
//  Fallen
actor NoFireBallYellow_s_Base replaces FireBallYellow_s_Base
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.1//0.3
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE +FORCEXYBILLBOARD
	Radius 6 Height 8 Speed 16 FastSpeed 25
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	states
	{
	Spawn:
		SBL1 ABCDE 2
		loop
	Death:
		SBL1 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
//  *****************************
//  ***  FireBall Red m Base  ***
//  *****************************
//  Watcher
actor NoFireBallRed_m_Base replaces FireBallRed_m_Base
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.2
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE +FORCEXYBILLBOARD
	Radius 6 Height 8 Speed 16 FastSpeed 25
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	states
	{
	Spawn:
		SBL6 ABCDE 3 bright
		loop
	Death:
		SBL6 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
//  *****************************
//  ***  FireBall Red l Base  ***
//  *****************************
//  
actor NoFireBallRed_l_Base replaces FireBallRed_l_Base
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.32
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE +FORCEXYBILLBOARD
	Radius 6 Height 8 Speed 16 FastSpeed 25
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	states
	{
	Spawn:
		SBL6 ABCDE 3 bright
		loop
	Death:
		SBL6 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
//  ********************************
//  ***  FireBall Purple m Base  ***
//  ********************************
//  
actor NoFireBallPurple_m_Base replaces FireBallPurple_m_Base
{
	Decal DoomImpScorch
	spawnid 10
	Scale 0.2//0.3
	Damage 8
	RenderStyle Add Alpha 0.8
	+STRIFEDAMAGE +RANDOMIZE +FIREDAMAGE +FORCEXYBILLBOARD
	Radius 6 Height 8 Speed 16 FastSpeed 25
	seesound "imp/attack"
	deathsound "imp/shotx"
	PROJECTILE
	states
	{
	Spawn:
		SBL4 ABCDE 2 bright
		loop
	Death:
		SBL4 HHHGGGFFFFFFGGGHHHIIIJJJKKL 1 bright A_FadeOut(0.05)
		stop
	}
}
